<?
/*///////////////////////////////////////////////////////////////////////
Part of the code from the book 
Building Findable Websites: Web Standards, SEO, and Beyond
by Aarron Walter (aarron@buildingfindablewebsites.com)
http://buildingfindablewebsites.com

Distrbuted under Creative Commons license
http://creativecommons.org/licenses/by-sa/3.0/us/
///////////////////////////////////////////////////////////////////////*/

// Requires Magpie RSS reading classes (http://magpierss.sourceforge.net/)


// Include Magpie to do all the RSS Parsing
require_once('magpie/rss_fetch.inc');


function parseRSS($url,$numHeadlines){
	
		// Grab feed items
		$rss = @fetch_rss($url);
		if($rss){ 
			// Get the number of headlines we want
			$items = array_slice($rss->items, 0, $numHeadlines); 
		}else{ 
			return '<div class="error">Sorry! Couldn\'t retrieve feed items</div>';
			exit;
		}
		
		// Feed content
		$feed .= '<h4><a href="' . $rss->channel['link'] . '" target="_blank">' . $rss->channel['title'] . '</a></h4>'; // Link to channel source
				
		// Build feed list
		$feed .= '<ul class="feed">';
		
		foreach ($items as $item) {
			$href = strip_tags($item['link']);
			$title = strip_tags($item['title']);
			
			// You can truncate headlines if needed, comment out if not
			if(strlen($title) > 50){ $title = substr_replace($title,"...",50); } 
	
			$feed .= '
						<li>
							<a href="'.$href.'" target="_blank" title="Read full post in new window">'.$title.'</a>
						</li>
						';	
			
		} // End loop
		
		// End feed list
		$feed .= "</ul>";
		
		return $feed;
}
?>